diff --git a/pgaweb/templates/pgaweb/styleguide/accordion/accordion.html b/pgaweb/templates/pgaweb/styleguide/accordion/accordion.html
index 9cb54d4..021c2d7 100644
--- a/pgaweb/templates/pgaweb/styleguide/accordion/accordion.html
+++ b/pgaweb/templates/pgaweb/styleguide/accordion/accordion.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Accordion</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/alert/alert.html b/pgaweb/templates/pgaweb/styleguide/alert/alert.html
index 2d3d4f0..6aa4ab6 100644
--- a/pgaweb/templates/pgaweb/styleguide/alert/alert.html
+++ b/pgaweb/templates/pgaweb/styleguide/alert/alert.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Alerts</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/button/button.html b/pgaweb/templates/pgaweb/styleguide/button/button.html
index 5be1a06..6c9b1cc 100644
--- a/pgaweb/templates/pgaweb/styleguide/button/button.html
+++ b/pgaweb/templates/pgaweb/styleguide/button/button.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Buttons</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/checkbox/checkbox.html b/pgaweb/templates/pgaweb/styleguide/checkbox/checkbox.html
index c1ee04e..ae3fcac 100644
--- a/pgaweb/templates/pgaweb/styleguide/checkbox/checkbox.html
+++ b/pgaweb/templates/pgaweb/styleguide/checkbox/checkbox.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Checkbox</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/color_palette/color_palette.html b/pgaweb/templates/pgaweb/styleguide/color_palette/color_palette.html
index cc317e9..9305c52 100644
--- a/pgaweb/templates/pgaweb/styleguide/color_palette/color_palette.html
+++ b/pgaweb/templates/pgaweb/styleguide/color_palette/color_palette.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Color Palette</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         pgAdmin uses standard sets of colors for consistency and style. We are also
         committed to complying with AA standard contrast ratios (AAA for the high contrast theme).
diff --git a/pgaweb/templates/pgaweb/styleguide/dropdown/dropdown.html b/pgaweb/templates/pgaweb/styleguide/dropdown/dropdown.html
index 8ab6799..30ba04c 100644
--- a/pgaweb/templates/pgaweb/styleguide/dropdown/dropdown.html
+++ b/pgaweb/templates/pgaweb/styleguide/dropdown/dropdown.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Dropdowns</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/iconography/iconography.html b/pgaweb/templates/pgaweb/styleguide/iconography/iconography.html
index 79fb2ef..8a4788e 100644
--- a/pgaweb/templates/pgaweb/styleguide/iconography/iconography.html
+++ b/pgaweb/templates/pgaweb/styleguide/iconography/iconography.html
@@ -1,4 +1,4 @@
-<h1 class="styleguide-title" id="typography">Iconography</h1>
+<h1 class="styleguide-title" id="typography">{{title}}</h1>
 <p>
     Icons are visual representations of commands, files or common actions. They
     should be meaningful, simple and legible. pgAdmin uses custom as well as
diff --git a/pgaweb/templates/pgaweb/styleguide/index.html b/pgaweb/templates/pgaweb/styleguide/index.html
index 116a93a..4e4e5f5 100644
--- a/pgaweb/templates/pgaweb/styleguide/index.html
+++ b/pgaweb/templates/pgaweb/styleguide/index.html
@@ -1,7 +1,7 @@
 {% extends "pgaweb/page.html" %}
 {% load static %}
 
-{% block title %}Style Guide{% endblock %}
+{% block title %}{{title}}{% endblock %}
 
 {% block content %}
     <div class="style-action">
diff --git a/pgaweb/templates/pgaweb/styleguide/input/input.html b/pgaweb/templates/pgaweb/styleguide/input/input.html
index efc75bc..146b09d 100644
--- a/pgaweb/templates/pgaweb/styleguide/input/input.html
+++ b/pgaweb/templates/pgaweb/styleguide/input/input.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Input Field</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/menu/menu.html b/pgaweb/templates/pgaweb/styleguide/menu/menu.html
index 8f3bf50..4d803a9 100644
--- a/pgaweb/templates/pgaweb/styleguide/menu/menu.html
+++ b/pgaweb/templates/pgaweb/styleguide/menu/menu.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Menu</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/radiobuttons/radiobuttons.html b/pgaweb/templates/pgaweb/styleguide/radiobuttons/radiobuttons.html
index 251b2c4..68c9ba1 100644
--- a/pgaweb/templates/pgaweb/styleguide/radiobuttons/radiobuttons.html
+++ b/pgaweb/templates/pgaweb/styleguide/radiobuttons/radiobuttons.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Radio Buttons</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/style_typography.html b/pgaweb/templates/pgaweb/styleguide/style_typography.html
index c34aaba..cd316db 100644
--- a/pgaweb/templates/pgaweb/styleguide/style_typography.html
+++ b/pgaweb/templates/pgaweb/styleguide/style_typography.html
@@ -1,4 +1,4 @@
-<h1 class="styleguide-title" id="typography">Typography</h1>
+<h1 class="styleguide-title" id="typography">{{title}}</h1>
 <p>
     pgAdmin primarily uses Google Roboto for the overall content and Source Code
     Pro is used for SQL and other code.
diff --git a/pgaweb/templates/pgaweb/styleguide/tab_set/tab_set.html b/pgaweb/templates/pgaweb/styleguide/tab_set/tab_set.html
index 334ea42..ed6001d 100644
--- a/pgaweb/templates/pgaweb/styleguide/tab_set/tab_set.html
+++ b/pgaweb/templates/pgaweb/styleguide/tab_set/tab_set.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Tab Set</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/table/table.html b/pgaweb/templates/pgaweb/styleguide/table/table.html
index b3236eb..58cad3f 100644
--- a/pgaweb/templates/pgaweb/styleguide/table/table.html
+++ b/pgaweb/templates/pgaweb/styleguide/table/table.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Table</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/templates/pgaweb/styleguide/togglebutton/togglebutton.html b/pgaweb/templates/pgaweb/styleguide/togglebutton/togglebutton.html
index 6419e9f..9052858 100644
--- a/pgaweb/templates/pgaweb/styleguide/togglebutton/togglebutton.html
+++ b/pgaweb/templates/pgaweb/styleguide/togglebutton/togglebutton.html
@@ -1,5 +1,5 @@
 <div class="color-palette">
-    <h1 class="styleguide-title" id="colorpalette">Toggle Buttons</h1>
+    <h1 class="styleguide-title" id="colorpalette">{{title}}</h1>
     <p>
         {% include "pgaweb/styleguide/theme_nav_bar.html" %}
         <!--Add page specific content as per theme selection-->
diff --git a/pgaweb/views.py b/pgaweb/views.py
index 0b2b433..ebde161 100644
--- a/pgaweb/views.py
+++ b/pgaweb/views.py
@@ -77,7 +77,32 @@ def styleguide_index(request, page='typography', section=''):
     if page == 'iconography' and not section:
         section = 'fontawesome'
 
-    return render(request, 'pgaweb/styleguide/index.html', {'page': page, 'section': section})
+    style_guide_title = {
+        'typography': 'Styleguide: Typography',
+        'color': 'Styleguide: Color Palette',
+        'input': 'Styleguide: Input Field',
+        'dropdowns': 'Styleguide: Dropdowns',
+        'buttons': 'Styleguide: Buttons',
+        'checkbox': 'Styleguide: Checkbox',
+        'radio_buttons': 'Styleguide: Radio Buttons',
+        'toggle_buttons': 'Styleguide: Toggle Buttons',
+        'alerts': 'Styleguide: Alerts',
+        'table': 'Styleguide: Table',
+        'accordion': 'Styleguide: Accordion',
+        'menus': 'Styleguide: Menu',
+        'tab_sets': 'Styleguide: Tab Set',
+        'fontawesome': 'Styleguide: Font-awesome',
+        'solid_icons': 'Styleguide: Custom Solid',
+        'tree_view_icons': 'Styleguide: Tree View',
+        'query_plans': 'Styleguide: Query Plan',
+    }
+
+    if page == 'typography':
+        title = style_guide_title[page]
+    else:
+        title = style_guide_title[section]
+
+    return render(request, 'pgaweb/styleguide/index.html', {'page': page, 'section': section, 'title': title})
 
 # Handle the Support level pages
 def support_index(request):
